import {
  select,
  max,
  csv,
  scaleBand,
  scaleLinear,
  axisLeft,
  axisBottom,
} from 'd3';

const margin = {top: 20, right: 40, bottom: 60, left: 50},
    width = document.getElementById("Plot1").offsetWidth * 0.95 - margin.left - margin.right,
    height = 600 - margin.top - margin.bottom,
    legendCellSize = 20,
    tooltipWidth = 210;

const svg = d3.select("#chart").append("svg")
    .attr("id", "svg")
    .attr("width", width + margin.left + margin.right)
    .attr("height", height + margin.top + margin.bottom)
    .append("g")
    .attr("transform", "translate(" + margin.left + "," + margin.top + ")");

(async () => {
  const data = await d3.csv('data.csv');
  
  data.forEach(d => console.log(d['Ship Date']));
  
  
})();







